Dual Employment Check
Introduction:
This API is responsible for generating a list of companies associated with an employee. The list contains all the companies that an employee has worked in and in addition basic metadata related to each company such as memberId, name, fatherOrHusbandName, dateOfJoining, dateOfExit, overlappingEmployment. Using this a particular employeer can validate if the employee has been involved in dual-employment scenario, i.e. working for two or more companies at a time and also can validate the personal details provided by the employee.
cURL
curl --location 'https://api.signzy.app/api/v3/underwriting/check-dual-employment' \
--header 'Content-Type: application/json' \
--header 'Authorization: '<Auth-Token>' \
--data '{
"uan": "<uan-number>",
"employerName": "<company-name>"
}'Request Headers:
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"uan": "",
"employerName": ""
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
uan | Name of the company for which list of associated establishment Id need to be fetched | String (min 4 char) | COMPULSORY |
employerName | The establishment Name | String | COMPULSORY |
Response Data
{
"result": [
{
"uan": "********3757",
"memberId": "APHYD*********0594",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "APHYD0024108000",
"establishmentName": "SWASTIK MIRCH STORE",
"dateOfJoining": "05-SEP-2022",
"dateOfExit": "",
"tenureOfEmployment": 45,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "THVSH********3023",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "THVSH1355917000",
"establishmentName": "AASAANJOBS PVT LTD",
"dateOfJoining": "01-APR-2021",
"dateOfExit": "01-SEP-2022",
"tenureOfEmployment": 17,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "BGBNG********1534",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "BGBNG1648990000",
"establishmentName": "XPHENO PRIVATE LIMITED",
"dateOfJoining": "16-DEC-2019",
"dateOfExit": "31-MAR-2021",
"tenureOfEmployment": 16,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "KDMAL********4552",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "KDMAL0094655000",
"establishmentName": "CANTERBURG TECH-BPO (INDIA) PRIVATE LIMITED",
"dateOfJoining": "03-FEB-2018",
"dateOfExit": "30-SEP-2019",
"tenureOfEmployment": 20,
"overlappingEmployment": "Possible",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "DSSHD********1043",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "DSSHD0941215000",
"establishmentName": "SPECTRUM TALENT MANAGEMENT LIMITED",
"dateOfJoining": "01-JAN-2017",
"dateOfExit": "06-FEB-2018",
"tenureOfEmployment": 14,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "DSSHD********9115",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "DSSHD0938304000",
"establishmentName": "M/S SPECTRUM TALENT MANAGEMENT",
"dateOfJoining": "22-AUG-2016",
"dateOfExit": "31-DEC-2016",
"tenureOfEmployment": 5,
"overlappingEmployment": "No",
"limitedOutput": false
}
]
}In the response we would an array of objects, where each object details are as follows:


PARAMETER | DESCRIPTION | TYPE |
|---|---|---|
result[].uan | The Universal Account Number (UAN) assigned to the employee by EPFO. This unique identifier links all PF accounts associated with the employee across different establishments. | String |
result[].memberId | The EPF Member ID associated with a specific establishment. An employee may have multiple Member IDs corresponding to different employers. | String |
result[].name | Full name of the employee as available in EPFO records. | String |
result[].fatherOrHusbandName | Father's name or Husband's name of the employee as recorded in EPFO records. This field may be empty if the information is unavailable. | String |
result[].establishmentId | Unique EPFO establishment identifier assigned to the employer. | String |
result[].establishmentName | Name of the establishment/employer where the employee was employed. | String |
result[].dateOfJoining | Date on which the employee joined the establishment. Format: DD-MMM-YYYY. | String |
result[].dateOfExit | Date on which the employee exited the establishment. This field may be empty if the employee is currently associated with the establishment. Format: DD-MMM-YYYY. | String |
result[].tenureOfEmployment | Total duration of employment with the establishment, represented in months. | Integer |
result[].overlappingEmployment | Indicates whether the employment period overlaps with employment recorded under another establishment. | String |
result[].limitedOutput | Indicates whether the source returned a limited or truncated response. | Boolean |
NOTE: Above fields are Compulsory during 200 OK Response.
Sample Status Codes And Messages
{
"result": [
{
"uan": "********3757",
"memberId": "APHYD*********0594",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "APHYD0024108000",
"establishmentName": "SWASTIK MIRCH STORE",
"dateOfJoining": "05-SEP-2022",
"dateOfExit": "",
"tenureOfEmployment": 45,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "THVSH********3023",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "THVSH1355917000",
"establishmentName": "AASAANJOBS PVT LTD",
"dateOfJoining": "01-APR-2021",
"dateOfExit": "01-SEP-2022",
"tenureOfEmployment": 17,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "BGBNG********1534",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "BGBNG1648990000",
"establishmentName": "XPHENO PRIVATE LIMITED",
"dateOfJoining": "16-DEC-2019",
"dateOfExit": "31-MAR-2021",
"tenureOfEmployment": 16,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "KDMAL********4552",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "KDMAL0094655000",
"establishmentName": "CANTERBURG TECH-BPO (INDIA) PRIVATE LIMITED",
"dateOfJoining": "03-FEB-2018",
"dateOfExit": "30-SEP-2019",
"tenureOfEmployment": 20,
"overlappingEmployment": "Possible",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "DSSHD********1043",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "DSSHD0941215000",
"establishmentName": "SPECTRUM TALENT MANAGEMENT LIMITED",
"dateOfJoining": "01-JAN-2017",
"dateOfExit": "06-FEB-2018",
"tenureOfEmployment": 14,
"overlappingEmployment": "No",
"limitedOutput": false
},
{
"uan": "********3757",
"memberId": "DSSHD********9115",
"name": "M*****A C******A S*****R",
"fatherOrHusbandName": "",
"establishmentId": "DSSHD0938304000",
"establishmentName": "M/S SPECTRUM TALENT MANAGEMENT",
"dateOfJoining": "22-AUG-2016",
"dateOfExit": "31-DEC-2016",
"tenureOfEmployment": 5,
"overlappingEmployment": "No",
"limitedOutput": false
}
]
}